--- strace-4.5.14/syscall.c	2006-01-12 11:18:53.000000000 +0100
+++ strace-4.5.14-new/syscall.c	2006-03-22 14:39:18.000000000 +0100
@@ -87,6 +87,10 @@
 # include <asm/rse.h>
 #endif
 
+#if defined(LINUX) && defined(ARM)
+#include <asm/ptrace.h>
+#endif
+
 #define NR_SYSCALL_BASE 0
 #ifdef LINUX
 #ifndef ERESTARTSYS
--- strace-4.5.14/signal.c	2006-01-12 23:34:50.000000000 +0100
+++ strace-4.5.14-new/signal.c	2006-03-22 14:39:56.000000000 +0100
@@ -64,6 +64,9 @@
 # undef pt_all_user_regs
 #endif
 
+#if defined(LINUX) && defined(ARM)
+#include <asm/ptrace.h>
+#endif
 
 #ifdef LINUX
 
